puma (8.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Abhijith PA ]
  * New upstream release.
  * Refresh patches.

  [ Lucas Nussbaum ]
  * debian/gbp.conf: Update for DEP-14
  * debian/salsa-ci.yml: use team-specific include

  [ Simon Quigley ]
  * Upgrade the watch file to version 5.
  * New upstream release.
  * Drop old Breaks.
  * Update Standards-Version to 4.7.4.
  * Bump debhelper-compat to 14, dropping ${misc:Depends},
    ${shlibs:Depends}, and ${ruby:Depends} from runtime dependencies.
  * Update mismatched Lintian override.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 30 Jun 2026 10:31:11 -0500

puma (6.6.0-4) unstable; urgency=medium

  * Team upload.
  * Do not generate example certificates in build time to avoid build
    depending on Java
  * d/p/0019-adapt-test-certs-generation.patch: adjust example certificates
    generation script
  * d/p/0020-update-ex-certs.patch: update example certificates to avoid a
    regression for #1078640
  * debian/README.source: document test certificates generation

 -- Athos Ribeiro <athos@debian.org>  Thu, 17 Jul 2025 07:20:19 -0300

puma (6.6.0-3) unstable; urgency=medium

  * Team upload.
  * Freshly generate example certificates for test suite (Closes: #1078640)

 -- Timo Röhling <roehling@debian.org>  Wed, 16 Jul 2025 21:51:16 +0200

puma (6.6.0-2) unstable; urgency=medium

  * Team upload
  * Change build-dependency on ruby-rackup to
    ruby-rackup | ruby-rack (<< 3), to allow migration to testing
    independently of rackup or rack 3.

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 07 Feb 2025 21:46:17 +0100

puma (6.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.5.0, with fixes for rack 3. Closes: #1094539
  * Refresh patches for 6.5.0
  * Drop patches (were upstream backports, so no longer needed):
      + 0009-CI-update-chain-certs-example-files-3426.patch
      + 0010-Update-all-certs.patch
      + 0011-Fix-path-of-certs-useb-by-test_example_cert_expirati.patch
      + 0014-Give-a-wide-berth-on-the-timeout-as-sometimes-CI-is-.patch
      + 0018-update-certs-from-upstream.patch
  * Refresh packaging using dh-make-ruby
  * Add build-dep on rackup for Rack::Handler
  * New upstream version 6.6.0
  * Refresh patches again, for 6.6.0
  * Add build-dep on ruby-concurrent
  * Add patch: 0010-Disable-test-concurrency-without-concurrent_ruby.patch
  * Drop unmatched lintian override

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 05 Feb 2025 14:56:49 +0100

puma (6.4.3-3) unstable; urgency=medium

  * d/p/0014-Give-a-wide-berth-on-the-timeout-as-sometimes-CI-is-.patch:
    increase timeout to fix FTBFS with ruby 3.3.

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 22 Jan 2025 17:06:59 -0300

puma (6.4.3-2) unstable; urgency=medium

  * Team upload.
  * d/p/0018-disable-test-failing-with-ruby3.2.patch: fix FTBFS

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 23 Dec 2024 19:07:19 -0300

puma (6.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Fixes CVE-2024-45614 (Closes: #1082379)
  * Remove custom ssl autopkgtest.
    - https://lists.debian.org/debian-ruby/2024/11/msg00006.html
  * Update certificates for tests.

 -- Abhijith PA <abhijith@debian.org>  Mon, 30 Sep 2024 09:46:18 +0530

puma (6.4.2-6) unstable; urgency=medium

  * Fix FTBFS due to certs expiration (Closes: #1078640)
    - d/p/0010-Update-all-certs.patch
    - d/p/0011-Fix-path-of-certs-useb-by-test_example_cert_expirati.patch
  * Declare compliance with Debian Policy 4.7.0.

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 19 Sep 2024 17:56:24 -0300

puma (6.4.2-5) unstable; urgency=medium

  * Backport upstream patch to update certificates in examples.
    This fixes a test failure.

 -- Lucas Kanashiro <kanashiro@debian.org>  Sat, 20 Jul 2024 12:24:05 -0300

puma (6.4.2-4) unstable; urgency=medium

  * Disable test failing on armhf

 -- Pirate Praveen <praveen@debian.org>  Tue, 06 Feb 2024 18:13:41 +0530

puma (6.4.2-3) unstable; urgency=medium

  * Add Breaks: rails (<< 2:6.1.7.3+dfsg-3~)

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Feb 2024 15:12:00 +0530

puma (6.4.2-2) unstable; urgency=medium

  * Disable test failing on arm64 buildd

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Feb 2024 14:11:14 +0530

puma (6.4.2-1) unstable; urgency=medium

  * Switch to github tags from releases (6.4.2 is only available from tags)
  * New upstream version 6.4.2 (Fixes: CVE-2024-21647)

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Feb 2024 01:08:22 +0530

puma (6.4.0-4) unstable; urgency=medium

  * Remove minitest/retry as well (copy from 5.x branch and fixes salsa ci)
  * Export LC_ALL also to C.UTF-8 (hoping this would fix some test failures)

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Feb 2024 00:52:13 +0530

puma (6.4.0-3) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sun, 04 Feb 2024 01:16:15 +0530

puma (6.4.0-2) experimental; urgency=medium

  * Set TEST_CASE_TIMEOUT = 300 (one test is timing out on amd64 buildd)

 -- Pirate Praveen <praveen@debian.org>  Mon, 04 Dec 2023 23:59:02 +0530

puma (6.4.0-1) experimental; urgency=medium

  * New upstream version 6.4.0
  * Disable more tests and refresh patches
  * Add procps to build depends for kill command (used in tests)

 -- Pirate Praveen <praveen@debian.org>  Sun, 03 Dec 2023 13:58:23 +0530

puma (6.0.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control (Standards-Version): Bump to 4.6.2.
    (Build-Depends): Add ruby-sd-notify.
  * d/copyright (Copyright): Update years.
  * d/ruby-tests.rake: Re-enable multiple tests (closes: #984713).
  * d/upstream/metadata: Adjust a few URLs.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 09 Feb 2023 16:12:20 +0100

puma (5.6.5-2) unstable; urgency=medium

  * debian/ruby-tests.rake: skip test that fails often (Closes: #1006022)
  * debian/ruby-tests.rake: exclude tests that fail often but not always

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 02 Nov 2022 09:26:37 -0300

puma (5.6.5-1) unstable; urgency=medium

  * Update watch file for github.com pattern change
  * New upstream version 5.6.5
  * Refresh patches
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sun, 16 Oct 2022 22:44:46 +0530

puma (5.6.4-1) unstable; urgency=medium

  * New upstream version 5.6.4
  * Refresh patches
  * Disable some tests that fail with
     NameError: uninitialized constant Puma::LogWriter
  * Remove tmp/restart.txt in clean

 -- Pirate Praveen <praveen@debian.org>  Mon, 04 Apr 2022 13:24:10 +0530

puma (5.5.2-2) unstable; urgency=medium

  * Team upload
  * debian/rules: force an UTF-8 locale
  * debian/ruby-tests.rake: wrap lines
  * debian/ruby-tests.rake: run all ssl tests on autopkgtest only
  * debian/test/control: give ssl test a name

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 02 Nov 2021 16:35:12 -0300

puma (5.5.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.5.2
    - Builds and tests fine again (Closes: #998295)
  * Add build-dependency on ruby-localhost
  * debian/rules: exclude several unnecessary files from installation

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 02 Nov 2021 14:39:10 -0300

puma (5.3.2-3) unstable; urgency=medium

  * Use --gem-install layout option of dh-ruby

 -- Pirate Praveen <praveen@debian.org>  Tue, 12 Oct 2021 02:24:33 +0530

puma (5.3.2-2) unstable; urgency=medium

  * Reupload to unstable
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13

 -- Pirate Praveen <praveen@debian.org>  Mon, 11 Oct 2021 03:17:23 +0530

puma (5.3.2-1) experimental; urgency=medium

  * New upstream version 5.3.2 (Closes: #989054) (Fixes: CVE-2021-29509)
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Fri, 28 May 2021 22:34:53 +0530

puma (4.3.8-1) unstable; urgency=medium

  * New upstream version 4.3.8 (Closes: #989054) (Fixes: CVE-2021-29509)

 -- Pirate Praveen <praveen@debian.org>  Wed, 26 May 2021 10:24:19 +0530

puma (5.2.2-2) experimental; urgency=medium

  * Disable test that failied on amd64 buildd

 -- Pirate Praveen <praveen@debian.org>  Mon, 08 Mar 2021 23:03:52 +0530

puma (5.2.2-1) experimental; urgency=medium

  * New upstream version 5.2.2
  * Bump Standards-Version to 4.5.1 (no changes needed)
  * Refresh patches for new upstream release
  * Add ruby-minitest-stub-const as build dependency
  * Disable failing tests

 -- Pirate Praveen <praveen@debian.org>  Sun, 07 Mar 2021 21:03:52 +0530

puma (4.3.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
    - Fixes CVE-2020-11076 and CVE-2020-11077 (closes: #972102).
  * d/copyright: Minor update.
  * d/puma.lintian-overrides: Add package override.
  * d/ruby-tests.rake: Add logic to run SSL test.
  * d/patches/*.patch: Add missing headers and refresh.
  * d/source/lintian-overrides: Add source override.
  * d/tests/control: Set environment variable to run the SSL tests separately
    (similar to the solution used in the jekyll package).
  * d/tests/test-puma-server-ssl*: Removed.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 15 Oct 2020 20:57:29 +0200

puma (4.3.3-3) unstable; urgency=medium

  * Include patch from gitlab to improve performance

 -- Pirate Praveen <praveen@debian.org>  Tue, 18 Aug 2020 00:15:20 +0530

puma (4.3.3-2) unstable; urgency=medium

  [ Daniel Leidert ]
  * debian/tests/test_puma_server_ssl,
    debian/tests/test_puma_server_ssl.rake: Run test/test_puma_server_ssl.rb
    in an openssl enviroment not using the Debian defaults.
  * debian/tests/control: Add new test.

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Pirate Praveen ]
  * Remove debian-branch option from debian/gbp.conf
  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Mon, 03 Aug 2020 15:37:16 +0530

puma (4.3.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes CVE-2020-5247 (closes: #952766).
    - Fixes CVE-2020-5249 (closes: #953122).
  * d/control (Section): Change to web.
    (Vcs-Git): Indicate branch name via -b debian/experimental.
    (Homepage): Use secure URL.
    (Depends): Use ${ruby:Depends}.
  * d/copyright (Source): Use secure URL.
  * d/rules: Add override to install upstream changelog.
  * d/watch: Use package name for tarball.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 05 Mar 2020 01:34:17 +0100

puma (4.3.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Fixes CVE-2019-16770 Keepalive thread overload/DoS (closes: #946312).
  * d/control (Rules-Requires-Root): Set to binary-targets.
    (Build-Depends, Depends): Add ruby-nio4r.
    (Build-Depends): Add curl for test/test_integration_single.rb.
  * d/ruby-tests.rake: Disable test/test_puma_server_ssl.rb.
  * d/README.source: Add to explain tests which have been disabled.
  * d/patches/0004-puma.gemspec-drop-git-usage.patch: Refresh patch.
  * d/patches/0011-disable-minitest-extensions.patch: Add patch.
    - Disable unavailable minitest extensions (retry and proveit).
  * d/patches/0012-disable-cli-ssl-tests.patch: Add patch.
    - Disable CLI SSL tests.
  * d/patches/0013-fix-test-term-not-accepts-new-connections.patch: Add.
    - Fix test_term_not_accepts_new_connections to be locale independent.
  * d/patches/0002-test_integration-disable-test-that-fails-randomly.patch,
    d/patches/0003-test_cli-disable-test-that-rails-randomly.patch,
    d/patches/0005-test_puma_server-disable-test-that-fails-randomly.patch,
    d/patches/0006-test-helper.rb-drop-bundler-usage.patch,
    d/patches/0007-test-test_cli.rb-disable-test-that-fails-randomly.patch,
    d/patches/0008-fix-ssl-tests.patch,
    d/patches/0009-disable-tests-failing-in-single-cpu.patch,
    d/patches/0010-fix-cluster-exit-for-ruby27.patch: Remove obsolete patches.
  * d/patches/series: Adjust.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 06 Feb 2020 11:45:11 +0100

puma (3.12.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes CVE-2020-5247 (closes: #952766).
    - Fixes CVE-2020-5249 (closes: #953122).
  * d/control (Section): Changed to web.
    (Homepage): Use secure URL.
    (Depends): Add ${ruby:Depends}.
  * d/copyright (Source): Use secure URL.
  * d/ruby-tests.rake: Disable test/test_puma_server_ssl.rb for the moment.
    These tests fail due to openssl being configured to use SECLEVEL2
    (https://github.com/puma/puma/issues/2147).
  * d/rules: Add override to install upstream changelog.
  * d/watch: Rename downloaded tarball to include package name.
  * d/patches/0008-fix-ssl-tests.patch: Remove patch. Applied upstream.
  * d/patches/CVE-2019-16770.patch: Ditto.
  * d/patches/*.patch: Refresh patches.
  * d/patches/series: Adjust.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 04 Mar 2020 23:09:16 +0100

puma (3.12.0-4) unstable; urgency=medium

  * Team upload.
  * d/control (Rules-Requires-Root): Set to binary-targets.
  * d/patches/0011-disable-minitest-extensions.patch: Add patch.
    - Disable unavailable minitest retry extension.
  * d/patches/CVE-2019-16770.patch: Add patch.
    - Backport fix for CVE-2019-16770 from upstream (closes: #946312).
  * d/patches/series: Add patch.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 06 Feb 2020 12:54:59 +0100

puma (3.12.0-3) unstable; urgency=medium

  * Team upload.
  * d/compat: Remove obsolete file.
  * d/control: Add Rules-Requires-Root field.
    (Build-Depends): Use debhelper-compat.
    (Standards-Version): Bump to 4.5.0.
    (Depends): Drop ruby-interpreter.
  * d/copyright (Format): Fix insecure-copyright-format-uri and add myself.
  * d/puma.1, d/pumactl.1: Add manual pages.
  * d/puma.manpages: Install manual pages.
  * d/ruby-tests.rake: Set verbose mode.
  * d/patches/0010-fix-cluster-exit-for-ruby27.patch: Add patch.
    - Fix hang with Ruby >= 2.6 when shutting down workers.
  * d/patches/series: Enable new patch.
  * d/upstream/metadata: Add metadata.
  * d/upstream/metadata: Add metadata.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 05 Feb 2020 18:20:58 +0100

puma (3.12.0-2) unstable; urgency=medium

  * Disable tests failing in single cpu (Closes: #921931)

 -- Pirate Praveen <praveen@debian.org>  Sun, 10 Feb 2019 18:56:47 +0530

puma (3.12.0-1) unstable; urgency=medium

  [ Balint Reczey ]
  * New upstream version 3.12.0
  * Refresh patches

  [ Pirate Praveen ]
  * Fix OpenSSL 1.1.1 test failures with upstream patch (Closes: #900156)
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Add myself to uploaders

 -- Pirate Praveen <praveen@debian.org>  Sun, 10 Feb 2019 10:56:59 +0530

puma (3.11.3-1) unstable; urgency=medium

  * Team upload
  * Remove myself from Uploaders:
  * New upstream version 3.11.3
  * Build against libssl-dev instead of libssl1.0-dev (Closes: #859542)
  * Refresh packaging files with `dh-make-ruby -wo .`
    * Bump debhelper compat to 11
    * Change Vcs-* to point to salsa.debian.org
    * Use standard debian/ruby-tests.rake
      * drop build-dependency on ruby-hoe
  * Refresh patches
  * New patches:
    - 0006-test-helper.rb-drop-bundler-usage.patch
    - 0007-test-test_cli.rb-disable-test-that-fails-randomly.patch
  * Replace 0001-test_puma_server_ssl-update-for-newer-versions-of-Op.patch
    with 0001-test_puma_server_ssl-disable-test-that-takes-too-lon.patch


 -- Antonio Terceiro <terceiro@debian.org>  Wed, 28 Mar 2018 18:53:22 -0300

puma (3.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #720336)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 10 Nov 2016 16:47:06 -0200
